<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:padding="38dp"
    tools:context="com.gallery.free.wallpaper.fragment.SeFragment">

    <TextView
        android:id="@+id/titleText"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:fontFamily="@font/alimama_shuheiti"
        android:letterSpacing="0.04"
        android:text="Settings"
        android:textColor="@color/black"
        android:textSize="24sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <!-- Choose from Photos -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/choosePhotosLayout"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="30dp"
        android:background="?android:attr/selectableItemBackground"
        android:clickable="true"
        android:focusable="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/titleText">

        <ImageView
            android:id="@+id/choosePhotosIcon"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:src="@drawable/localpho_settings"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/choosePhotosText"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:fontFamily="@font/alimama_shuheiti"
            android:gravity="center_vertical"
            android:text="Choose from Local"
            android:textColor="@color/text_color"
            android:textSize="18sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/choosePhotosArrow"
            app:layout_constraintStart_toEndOf="@id/choosePhotosIcon"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageButton
            android:id="@+id/choosePhotosArrow"
            android:layout_width="28dp"
            android:layout_height="28dp"
            android:background="?android:attr/selectableItemBackground"
            android:scaleType="fitCenter"
            android:src="@drawable/arrow_setting"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:id="@+id/dividerChoosePhotos"
        android:layout_width="0dp"
        android:layout_height="1.3dp"
        android:layout_marginTop="8dp"
        android:background="#B3000000"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/choosePhotosLayout" />

    <!-- Rate Us -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/rateUsLayout"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:background="?android:attr/selectableItemBackground"
        android:clickable="true"
        android:focusable="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/dividerChoosePhotos">

        <ImageView
            android:id="@+id/rateUsIcon"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:src="@drawable/rate_settings"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/rateUsText"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:fontFamily="@font/alimama_shuheiti"
            android:gravity="center_vertical"
            android:text="Rate us"
            android:textColor="@color/text_color"
            android:textSize="18sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/rateUsArrow"
            app:layout_constraintStart_toEndOf="@id/rateUsIcon"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageButton
            android:id="@+id/rateUsArrow"
            android:layout_width="28dp"
            android:layout_height="28dp"
            android:background="?android:attr/selectableItemBackground"
            android:scaleType="fitCenter"
            android:src="@drawable/arrow_setting"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:id="@+id/divider1"
        android:layout_width="0dp"
        android:layout_height="1.3dp"
        android:layout_marginTop="8dp"
        android:background="#B3000000"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/rateUsLayout" />

    <!-- Version -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/versionLayout"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:background="?android:attr/selectableItemBackground"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/divider1">

        <ImageView
            android:id="@+id/versionIcon"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:src="@drawable/version_settings"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/versionText"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:fontFamily="@font/alimama_shuheiti"
            android:gravity="center_vertical"
            android:text="Version"
            android:textColor="@color/text_color"
            android:textSize="18sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/versionIcon"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/versionValue"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/alimama_shuheiti"
            android:gravity="center_vertical"
            android:textColor="@color/text_color"
            android:textSize="20sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:id="@+id/divider3"
        android:layout_width="0dp"
        android:layout_height="1.3dp"
        android:layout_marginTop="8dp"
        android:background="#B3000000"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/versionLayout" />

</androidx.constraintlayout.widget.ConstraintLayout>